iPhone/iPad: Compatible iOS Versions & Devices


TVPlayer is compatible with the following Apple devices, which must be running iOS 6.0 upwards:

  • iPhone 4
  • iPhone 4S
  • iPhone 5
  • iPhone 5S
  • iPod Touch
  • iPad 2
  • iPad 3
  • iPad Air
  • iPad Mini
  • iPad Mini Retina

To check your iOS version is compatible with TVPlayer:

  1. Press Home Button
  2. Select general 'Settings'
  3. Scroll down and tap General
  4. Tap About
  5. The Version number will be in this list

TVPlayer requires iOS 6 or above to run and is not compatible on any devices running below iOS 6 (e.g. iOS 4 or iOS 5). 

iOS Software Version

TVPlayer

5.0 (all versions)

Not compatible

6.0 (all versions)

Compatible

7.0 (all versions)

Compatible

7.0.2

Compatible

7.0.3

Compatible

7.0.4

Compatible

Feedback and Knowledge Base